openssl vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the openssl package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • H
NULL Pointer Dereference
<1.1.1-1ubuntu2.1~18.04.9 Not available 25 Mar, 2021
  • L
Integer Overflow or Wraparound
<1.1.1-1ubuntu2.1~18.04.8 Not available 17 Feb, 2021
  • M
Integer Overflow or Wraparound
<1.1.1-1ubuntu2.1~18.04.8 Not available 17 Feb, 2021
  • H
NULL Pointer Dereference
<1.1.1-1ubuntu2.1~18.04.7 Not available 09 Dec, 2020
  • L
Information Exposure
<1.1.1-1ubuntu2.1~18.04.6 Not available 06 Dec, 2019
  • L
Missing Encryption of Sensitive Data
<1.1.1-1ubuntu2.1~18.04.6 Not available 11 Sep, 2019
  • L
Use of Insufficiently Random Values
<1.1.1-1ubuntu2.1~18.04.6 Not available 11 Sep, 2019
  • L
Missing Encryption of Sensitive Data
<1.1.1-1ubuntu2.1~18.04.6 Not available 11 Sep, 2019
  • L
Cryptographic Issues
<1.1.1-1ubuntu2.1~18.04.2 Not available 06 Mar, 2019
  • L
Use of a Broken or Risky Cryptographic Algorithm
<1.1.0g-2ubuntu4.3 Not available 02 Dec, 2018
  • L
Use of a Broken or Risky Cryptographic Algorithm
<1.1.0g-2ubuntu4.3 Not available 02 Dec, 2018
  • L
Information Exposure
<1.1.0g-2ubuntu4.3 Not available 02 Dec, 2018
  • L
Information Exposure
<1.1.0g-2ubuntu4.1 Not available 13 Jun, 2018
  • L
Key Management Errors
<1.1.0g-2ubuntu4.1 Not available 12 Jun, 2018
  • L
Use of a Broken or Risky Cryptographic Algorithm
<1.1.0g-2ubuntu4.1 Not available 16 Apr, 2018
  • M
Uncontrolled Recursion
<1.1.0g-2ubuntu3 Not available 27 Mar, 2018
  • L
Information Exposure
<1.1.0g-2ubuntu3 Not available 07 Dec, 2017
  • L
Resource Exhaustion
<1.0.2g-1ubuntu11 Not available 13 Nov, 2017
  • M
Information Exposure
<1.0.2g-1ubuntu14 Not available 02 Nov, 2017
  • L
Out-of-Bounds
<1.0.2g-1ubuntu14 Not available 28 Aug, 2017
  • M
Out-of-bounds Read
<1.0.2g-1ubuntu11 Not available 04 May, 2017
  • H
Resource Management Errors
<1.0.2g-1ubuntu9 Not available 26 Sep, 2016
  • M
Out-of-bounds Read
<1.0.2g-1ubuntu9 Not available 26 Sep, 2016
  • L
Improper Input Validation
<1.0.2g-1ubuntu9 Not available 16 Sep, 2016
  • L
Resource Management Errors
<1.0.2g-1ubuntu9 Not available 16 Sep, 2016
  • M
Out-of-bounds Write
<1.0.2g-1ubuntu9 Not available 16 Sep, 2016
  • L
Out-of-bounds Write
<1.0.2g-1ubuntu9 Not available 16 Sep, 2016
  • L
Numeric Errors
<1.0.2g-1ubuntu9 Not available 16 Sep, 2016
  • L
Information Exposure
<1.0.2g-1ubuntu9 Not available 01 Sep, 2016
  • L
Out-of-bounds Read
<1.0.2g-1ubuntu9 Not available 01 Aug, 2016